Subject: Re: net-PA Semi: Deletion of unnecessary checks before the function call "pci_dev_put"

From: Lino Sanfilippo <[email-masked]>
Date: Sun, 30 Nov 2014 22:36:34 +0100

On 30.11.2014 21:40, SF Markus Elfring wrote:
>> Maybe this topic should be clarified somewhere (e.g. in "CodingStyle")?
>> On the other hand i always found it obvious that its the callers
>> responsibility to only pass sane parameters to the called functions...
> 
> Can you imagine that any more source code places which would benefit from
> check adjustments because of defensive programming?
> 

I am not sure if i understand your question correctly. But i would not
call sanity checks for function parameters "defensive programming". I
would rather call it not being totally careless. So to me the question
if those checks should be done or not is different from the question
whether there are code parts that would benefit from an adjustment to
defensive programming.

Regards,
Lino